Main Content

Driver Requirements

You can use the following GPIB and VISA drivers with the Instrument Control Toolbox™.

Interface

Vendor

Minimum Driver Requirements

GPIB

Keysight™ (formerly Agilent®)

Keysight IO Libraries version 17.0

ICS Electronics™

ICS 488.2v4 Adaptor version 4.0

Measurement Computing™ Corporation (MCC)

MCC GPIB 488.2 Library v2.3

National Instruments®

NI-488.2 Adaptor v2.8

ADLINK TechnologyADLINK ADL-GPIB version 4.0.0

VISA

Keysight (formerly Agilent)

Keysight IO Libraries version 18.1.24715.0 (Keysight Connection Expert 2019)

National Instruments

NI-VISA version 19.5
Rohde & SchwarzR&S VISA 5.12

For information about GPIB limitations, see GPIB Driver Limitations by Vendor.